Update Deals Commercial
Path Parameters
- Type: stringdeal
_id required
Body·
required
application/json
- nullableamount
Breakdown By Period Amount breakdown by period
Amount breakdown by period
- propertyadditionalPropertyType: anything
Name
- Type: numbernullableannual
Contract Value Annual contract value
- Type: numbernullablearr
Deal ARR
- Type: numbernullablearr
Local Deal ARR in account's system currency
- Type: booleannullableauto
Renewal Auto renewal flag
- Type: stringFormat: date-timenullablecontract
End Date Contract end date
- Type: stringnullablecontract
Id Contract ID
- Type: stringFormat: date-timenullablecontract
Start Date Contract start date
- Type: numbernullablecontract
Total Amount Contract total amount
- Type: stringnullablecurrency
Currency code (e.g. USD, EUR)
- Type: numbernullableimplementation
Cost Implementation cost
- Type: stringnullablelicense
Id License ID
- additionalPropertyType: anythingproperty
Name
Responses
- application/json
- application/json
Request Example for post/{deal_id}/commercials
curl 'https://crm.dreamhub.ai/api/v1/deals/{deal_id}/commercials' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"contractStartDate": "",
"contractEndDate": "",
"optOutDate": "",
"contractTotalAmount": 1,
"amountBreakdownByPeriod": {
"additionalProperty": "anything"
},
"autoRenewal": true,
"licenseId": "",
"productId": "",
"licensesInDeal": 1,
"potentialLicensesInCompany": 1,
"implementationCost": 1,
"trainingCost": 1,
"uploadContracts": {
"additionalProperty": "anything"
},
"annualContractValue": 1,
"totalContractValue": 1,
"currency": "",
"arr": 1,
"mrr": 1,
"arrLocal": 1,
"mrrLocal": 1,
"contractId": "",
"additionalProperty": "anything"
}'
{
"contractStartDate": "2026-09-29T00:01:38.072Z",
"contractEndDate": "2026-09-29T00:01:38.072Z",
"optOutDate": "2026-09-29T00:01:38.072Z",
"contractTotalAmount": 1,
"amountBreakdownByPeriod": {
"additionalProperty": "anything"
},
"autoRenewal": true,
"licenseId": "string",
"productId": "string",
"licensesInDeal": 1,
"potentialLicensesInCompany": 1,
"implementationCost": 1,
"trainingCost": 1,
"uploadContracts": {
"additionalProperty": "anything"
},
"annualContractValue": 1,
"totalContractValue": 1,
"currency": "string",
"arr": 1,
"mrr": 1,
"arrLocal": 1,
"mrrLocal": 1,
"contractId": "string",
"additionalProperty": "anything"
}
